{
    "C_Cpp.intelliSenseEngine": "disabled",
        
    "clangd.path": "/usr/bin/clangd",
    "clangd.arguments": ["-log=verbose", 
                         "-pretty", 
                         "--background-index", 
                         "--query-driver=/usr/bin/arm-none-eabi-g++",
                        "--compile-commands-dir=${workspaceFolder}/build/Debug"
                    ],
                    "files.associations": {
                        "main.h": "c",
                        "stm32f4xx_hal.h": "c",
                        "stm32f4xx_hal_conf.h": "c",
                        "stm32f4xx_hal_rcc.h": "c",
                        "stm32f4xx_hal_def.h": "c",
                        "stm32_hal_legacy.h": "c",
                        "stm32f4xx.h": "c",
                        "stm32f4xx_hal_gpio.h": "c",
                        "stm32f401xe.h": "c",
                        "system_stm32f4xx.h": "c",
                        "core_cm4.h": "c"
                    },
                cortex-debug
    "cortex-debug.stlinkPath.linux": "/home/moritz/bin/st/stm32cubeclt/STLink-gdb-server/bin/ST-LINK_gdbserver"
}